Bug 178861 - [NEW PORT] dns/opendnssec14: Tool suite for maintaining DNSSEC
Summary: [NEW PORT] dns/opendnssec14: Tool suite for maintaining DNSSEC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-23 13:40 UTC by Jaap Akkerhuis
Modified: 2013-06-03 23:24 UTC (History)
0 users

See Also:


Attachments
.shar (5.62 KB, text/plain)
2013-05-23 13:40 UTC, Jaap Akkerhuis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2013-05-23 13:40:01 UTC
OpenDNSSEC was created as an open-source turn-key solution for
DNSSEC. It secures zone data just before it is published in an
authoritative name server.

WWW: http://www.opendnssec.org

Generated with FreeBSD Port Tools 0.99_7 (mode: new)
Comment 1 William Grzybowski freebsd_committer 2013-05-29 15:44:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-06-03 23:13:20 UTC
Author: wg
Date: Mon Jun  3 22:13:11 2013
New Revision: 319813
URL: http://svnweb.freebsd.org/changeset/ports/319813

Log:
  - Update to 1.4.0 [1]
  - Add PORTDOCS
  - Install extra migration files
  - Preserve 1.3.x as dns/opendnssec13
  
  Changes: https://wiki.opendnssec.org/display/DOCS/New+in+OpenDNSSEC+1.4
  
  PR:		ports/178861 [1]
  Submitted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> [1]
  Approved by:	culot (mentor), maintainer

Added:
  head/dns/opendnssec13/
     - copied from r319400, head/dns/opendnssec/
Modified:
  head/UPDATING
  head/dns/Makefile
  head/dns/opendnssec/Makefile
  head/dns/opendnssec/distinfo
  head/dns/opendnssec/pkg-plist
  head/dns/opendnssec13/Makefile

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Mon Jun  3 22:07:29 2013	(r319812)
+++ head/UPDATING	Mon Jun  3 22:13:11 2013	(r319813)
@@ -5,6 +5,24 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20130603:
+  AFFECTS: users of dns/opendnssec
+  AUTHOR: wg@FreeBSD.org
+
+  Some database changes have been made between version 1.3 and 1.4,
+  upgrading needs to be done manually by running the following scripts:
+
+  For MySQL users:
+  PREFIX/share/opendnssec/migrate_adapters_1.mysql
+
+  For SQLite users:
+  PREFIX/share/opendnssec/migrate_adapters_1.sqlite3
+
+  For the full migration explanation see:
+  PREFIX/share/doc/opendnssec/MIGRATION
+
+  opendnssec 1.3 version was preserved as dns/opendnssec13 port.
+
 20130601:
   AFFECTS: users of textproc/ack
   AUTHOR: rakuco@FreeBSD.org

Modified: head/dns/Makefile
==============================================================================
--- head/dns/Makefile	Mon Jun  3 22:07:29 2013	(r319812)
+++ head/dns/Makefile	Mon Jun  3 22:13:11 2013	(r319813)
@@ -80,6 +80,7 @@
     SUBDIR += odsclient
     SUBDIR += opendd
     SUBDIR += opendnssec
+    SUBDIR += opendnssec13
     SUBDIR += openresolv
     SUBDIR += p5-BIND-Conf_Parser
     SUBDIR += p5-BIND-Config-Parser

Modified: head/dns/opendnssec/Makefile
==============================================================================
--- head/dns/opendnssec/Makefile	Mon Jun  3 22:07:29 2013	(r319812)
+++ head/dns/opendnssec/Makefile	Mon Jun  3 22:13:11 2013	(r319813)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	opendnssec
-PORTVERSION=	1.3.13
+PORTVERSION=	1.4.0
 CATEGORIES=	dns
 MASTER_SITES=	http://dist.opendnssec.org/source/
 
@@ -19,18 +19,21 @@ USE_PERL5=	yes
 USE_OPENSSL=	yes
 USE_LDCONFIG=	yes
 
-USERS=		${PORTNAME}
-GROUPS=		${PORTNAME}
+CONFLICTS=	opendnssec-1.[0-3]*
 
-MAN1=		ods-hsmspeed.1 ods-hsmutil.1 ods-ksmutil.1
+USERS=		opendnssec
+GROUPS=		opendnssec
+
+MAN1=		ods-hsmspeed.1 ods-hsmutil.1 ods-ksmutil.1 ods-kaspcheck.1
 MAN5=		ods-timing.5
 MAN7=		opendnssec.7
 MAN8=		ods-control.8 ods-enforcerd.8 ods-signer.8 ods-signerd.8
 
-OPTIONS_DEFINE=		SOFTHSM AUDITOR MYSQL
-SOFTHSM_DESC=		Build/update SOFTHSM as well
-AUDITOR_DESC=		Build with Auditor
-OPTIONS_DEFAULT=	AUDITOR
+PORTDOCS=	KNOWN_ISSUES MIGRATION NEWS README
+
+OPTIONS_DEFINE=		SOFTHSM MYSQL
+SOFTHSM_DESC=		SoftHSM cryptographic store for PKCS \#11 interface
+OPTIONS_DEFAULT=	MYSQL
 
 .include <bsd.port.options.mk>
 
@@ -40,21 +43,15 @@ CONFIGURE_ARGS+=	--with-database-backend
 USE_MYSQL=	compat
 PLIST_SUB+=	SQLITE="@comment "
 PLIST_SUB+=	MYSQL=""
+PORTDATA=	migrate_adapters_1.mysql migrate_keyshare_mysql.pl \
+		migrate_zone_delete.mysql migrate_id_mysql.pl migrate_to_ng_mysql.pl
 .else
 BUILD_DEPENDS+=	sqlite3>=3.3.9:${PORTSDIR}/databases/sqlite3
 LIB_DEPENDS+=	sqlite3:${PORTSDIR}/databases/sqlite3
 PLIST_SUB+=	SQLITE=""
 PLIST_SUB+=	MYSQL="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MAUDITOR}
-BUILD_DEPENDS+=	rubygem-dnsruby>=1.53:${PORTSDIR}/dns/rubygem-dnsruby
-USE_RUBY=	yes
-PLIST_SUB+=	AUDITOR=""
-MAN1+=		ods-auditor.1 ods-kaspcheck.1
-.else
-CONFIGURE_ARGS+=	--disable-auditor
-PLIST_SUB+=	AUDITOR="@comment "
+PORTDATA=	database_create.sqlite3 migrate_keyshare_sqlite3.pl \
+		migrate_adapters_1.sqlite3 migrate_to_ng_sqlite.pl
 .endif
 
 .if ${PORT_OPTIONS:MSOFTHSM}
@@ -71,13 +68,14 @@ pre-install:
 .endif
 
 post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
 .if !defined(BATCH)
 	@${CAT} ${PKGMESSAGE}
 .endif
+	${INSTALL_DATA} ${PORTDATA:S|^|${WRKSRC}/enforcer/utils/|} ${DATADIR}
 	${CHOWN} -R ${USERS}:${GROUPS} ${PREFIX}/var/opendnssec
 
-.include <bsd.port.pre.mk>
-.if ${PORT_OPTIONS:MAUDITOR} && ${RUBY_VER} == 1.9
-BROKEN=	does not work with ruby 1.9
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/dns/opendnssec/distinfo
==============================================================================
--- head/dns/opendnssec/distinfo	Mon Jun  3 22:07:29 2013	(r319812)
+++ head/dns/opendnssec/distinfo	Mon Jun  3 22:13:11 2013	(r319813)
@@ -1,2 +1,2 @@
-SHA256 (opendnssec-1.3.13.tar.gz) = 4d587882ffc68bca56d96807592366d1a87147d0b8aa518ccfd85b694c889a3f
-SIZE (opendnssec-1.3.13.tar.gz) = 1156072
+SHA256 (opendnssec-1.4.0.tar.gz) = 36d4926dcdf351a527ad7600b151ab6cc56d0a472a7eb8871eecd70afef9e101
+SIZE (opendnssec-1.4.0.tar.gz) = 985512

Modified: head/dns/opendnssec/pkg-plist
==============================================================================
--- head/dns/opendnssec/pkg-plist	Mon Jun  3 22:07:29 2013	(r319812)
+++ head/dns/opendnssec/pkg-plist	Mon Jun  3 22:13:11 2013	(r319813)
@@ -1,43 +1,33 @@
-%%AUDITOR%%bin/ods-auditor
 bin/ods-hsmspeed
 bin/ods-hsmutil
+bin/ods-kaspcheck
 bin/ods-ksmutil
-%%AUDITOR%%bin/ods-kaspcheck
 bin/ods-kasp2html
+@unexec if cmp -s %D/etc/opendnssec/addns.xml %D/etc/opendnssec/addns.xml.sample; then rm -f %D/etc/opendnssec/addns.xml; fi
+%%ETCDIR%%/addns.xml.sample
 @unexec if cmp -s %D/etc/opendnssec/conf.xml %D/etc/opendnssec/conf.xml.sample; then rm -f %D/etc/opendnssec/conf.xml; fi
 %%ETCDIR%%/conf.xml.sample
 @unexec if cmp -s %D/etc/opendnssec/kasp.xml %D/etc/opendnssec/kasp.xml.sample; then rm -f %D/etc/opendnssec/kasp.xml; fi
 %%ETCDIR%%/kasp.xml.sample
-@unexec if cmp -s %D/etc/opendnssec/zonefetch.xml %D/etc/opendnssec/zonefetch.xml.sample; then rm -f %D/etc/opendnssec/zonefetch.xml; fi
-%%ETCDIR%%/zonefetch.xml.sample
 @unexec if cmp -s %D/etc/opendnssec/zonelist.xml %D/etc/opendnssec/zonelist.xml.sample; then rm -f %D/etc/opendnssec/zonelist.xml; fi
 %%ETCDIR%%/zonelist.xml.sample
-%%AUDITOR%%lib/opendnssec/kasp_auditor/auditor.rb
-%%AUDITOR%%lib/opendnssec/kasp_auditor/changed_config.rb
-%%AUDITOR%%lib/opendnssec/kasp_auditor/commands.rb
-%%AUDITOR%%lib/opendnssec/kasp_auditor/config.rb
-%%AUDITOR%%lib/opendnssec/kasp_auditor/key_tracker.rb
-%%AUDITOR%%lib/opendnssec/kasp_auditor/parse.rb
-%%AUDITOR%%lib/opendnssec/kasp_auditor/preparser.rb
-%%AUDITOR%%lib/opendnssec/kasp_auditor.rb
-%%AUDITOR%%lib/opendnssec/kasp_auditor/partial_auditor.rb
-%%AUDITOR%%lib/opendnssec/kasp_checker.rb
-%%AUDITOR%%lib/opendnssec/time_shift.rb
 sbin/ods-control
 sbin/ods-enforcerd
 sbin/ods-signer
 sbin/ods-signerd
+%%DATADIR%%/addns.rnc
+%%DATADIR%%/addns.rng
 %%DATADIR%%/conf.rnc
 %%DATADIR%%/conf.rng
 %%SQLITE%%%%DATADIR%%/database_create.sqlite3
 %%MYSQL%%%%DATADIR%%/database_create.mysql
+%%DATADIR%%/enforcerstate.rnc
+%%DATADIR%%/enforcerstate.rng
 %%DATADIR%%/kasp.rnc
 %%DATADIR%%/kasp.rng
 %%DATADIR%%/kasp2html.xsl
 %%DATADIR%%/signconf.rnc
 %%DATADIR%%/signconf.rng
-%%DATADIR%%/zonefetch.rnc
-%%DATADIR%%/zonefetch.rng
 %%DATADIR%%/zonelist.rnc
 %%DATADIR%%/zonelist.rng
 @dirrm var/opendnssec/unsigned
@@ -46,8 +36,6 @@ sbin/ods-signerd
 @dirrm var/opendnssec/signconf
 @dirrm var/opendnssec
 @dirrm %%DATADIR%%
-@dirrm lib/opendnssec/kasp_auditor
-@dirrm lib/opendnssec
 @dirrm %%ETCDIR%%
 @exec mkdir -p %D/var/run/opendnssec
 @exec mkdir -p %D/var/opendnssec/unsigned

Modified: head/dns/opendnssec13/Makefile
==============================================================================
--- head/dns/opendnssec/Makefile	Thu May 30 01:14:42 2013	(r319400)
+++ head/dns/opendnssec13/Makefile	Mon Jun  3 22:13:11 2013	(r319813)
@@ -12,6 +12,8 @@ COMMENT=	Tool suite for maintaining DNSS
 BUILD_DEPENDS=	ldns>=1.6.16:${PORTSDIR}/dns/ldns
 LIB_DEPENDS=	ldns:${PORTSDIR}/dns/ldns
 
+LATEST_LINK=	${PORTNAME}13
+
 GNU_CONFIGURE=	yes
 USE_RC_SUBR=	opendnssec
 USE_GNOME=	libxml2
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-06-03 23:24:50 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!